#!/usr/bin/env python

import glob, os, sys
import Image

rect = (200, 500)

if len(sys.argv) == 3:
    rect = map(int, (sys.argv[1:]))

for infile in glob.glob('*.png'):
    filebase, ext = os.path.splitext(infile)
    im = Image.open(infile)
    im.thumbnail(rect, Image.ANTIALIAS)
    im.save(os.path.join('thumbnails', '%s_%03d_%03d%s' %
                                    (filebase, rect[0], rect[1], ext)))


